## org.codehaus.groovy.tools.shell
Class ParseStatus

Container for parse status details.

Field Summary
`Throwable` | `cause`
`ParseCode` | `code`

Constructor Summary
`ParseStatus(ParseCode code, Throwable cause)`
`ParseStatus(ParseCode code)`
`ParseStatus(Throwable cause)`

Method Summary

Constructor Detail

### ParseStatus

    public ParseStatus(ParseCode code, Throwable cause)

### ParseStatus

    public ParseStatus(ParseCode code)

### ParseStatus

    public ParseStatus(Throwable cause)

Method Detail